Upstream information

CVE-2017-1000381 at MITRE

Description

The c-ares function `ares_parse_naptr_reply()`, which is used for parsing NAPTR responses, could be triggered to read memory outside of the given input buffer if the passed in DNS response packet was crafted in a particular way.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 6.4
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N AV:N/AC:L/Au:N/C:P/I:N/A:P
Access Vector Network Network
Access Complexity Low Low
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 6.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None None
Availability Impact None Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1044946 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • nodejs-common >= 1.0-2.1
  • nodejs4 >= 4.8.4-15.5.1
  • nodejs6 >= 6.11.1-11.5.1
Patchnames:
SUSE-Storage-4-2017-1331
SUSE Linux Enterprise Desktop 12 SP2
  • libcares2 >= 1.9.1-8.1
  • libcares2-32bit >= 1.9.1-8.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1117
SUSE Linux Enterprise Desktop 12 SP4
  • libcares2 >= 1.9.1-9.4.1
  • libcares2-32bit >= 1.9.1-9.4.1
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
  • libcares2 >= 1.9.1-9.4.1
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • c-ares-devel >= 1.14.0-1.17
  • libcares2 >= 1.14.0-1.17
SUSE Linux Enterprise Module for Web Scripting 12
  • nodejs-common >= 1.0-2.1
  • nodejs4 >= 4.8.4-15.5.1
  • nodejs4-devel >= 4.8.4-15.5.1
  • nodejs4-docs >= 4.8.4-15.5.1
  • nodejs6 >= 6.11.1-11.5.1
  • nodejs6-devel >= 6.11.1-11.5.1
  • nodejs6-docs >= 6.11.1-11.5.1
  • npm4 >= 4.8.4-15.5.1
  • npm6 >= 6.11.1-11.5.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2017-1331
SUSE Linux Enterprise Module for Web Scripting 15 SP1
  • nodejs8 >= 8.15.1-3.14.1
  • nodejs8-devel >= 8.15.1-3.14.1
  • nodejs8-docs >= 8.15.1-3.14.1
  • npm8 >= 8.15.1-3.14.1
SUSE Linux Enterprise Module for Web Scripting 15
  • nodejs8 >= 8.11.1-1.19
  • nodejs8-devel >= 8.11.1-1.19
  • nodejs8-docs >= 8.11.1-1.19
  • npm8 >= 8.11.1-1.19
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • MozillaFirefox >= 68.2.0-78.51.4
  • MozillaFirefox-branding-SLED >= 68-21.9.8
  • MozillaFirefox-translations-common >= 68.2.0-78.51.4
  • MozillaFirefox-translations-other >= 68.2.0-78.51.4
  • firefox-atk >= 2.26.1-2.8.4
  • firefox-atk-lang >= 2.26.1-2.8.4
  • firefox-cairo >= 1.15.10-2.13.4
  • firefox-gdk-pixbuf >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-lang >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-query-loaders >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-thumbnailer >= 2.36.11-2.8.4
  • firefox-gio-branding-upstream >= 2.54.3-2.14.7
  • firefox-glib2 >= 2.54.3-2.14.7
  • firefox-glib2-lang >= 2.54.3-2.14.7
  • firefox-glib2-tools >= 2.54.3-2.14.7
  • firefox-gtk3 >= 3.10.9-2.15.3
  • firefox-gtk3-branding-upstream >= 3.10.9-2.15.3
  • firefox-gtk3-data >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-amharic >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-inuktitut >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-multipress >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-thai >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-vietnamese >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-xim >= 3.10.9-2.15.3
  • firefox-gtk3-immodules-tigrigna >= 3.10.9-2.15.3
  • firefox-gtk3-lang >= 3.10.9-2.15.3
  • firefox-gtk3-tools >= 3.10.9-2.15.3
  • firefox-harfbuzz >= 1.7.5-2.7.4
  • firefox-libatk-1_0-0 >= 2.26.1-2.8.4
  • firefox-libcairo-gobject2 >= 1.15.10-2.13.4
  • firefox-libcairo2 >= 1.15.10-2.13.4
  • firefox-libffi >= 3.2.1.git259-2.3.3
  • firefox-libffi-gcc5 >= 5.3.1+r233831-14.1
  • firefox-libffi4 >= 5.3.1+r233831-14.1
  • firefox-libffi7 >= 3.2.1.git259-2.3.3
  • firefox-libgdk_pixbuf-2_0-0 >= 2.36.11-2.8.4
  • firefox-libgtk-3-0 >= 3.10.9-2.15.3
  • firefox-libharfbuzz0 >= 1.7.5-2.7.4
  • firefox-libpango-1_0-0 >= 1.40.14-2.7.4
  • firefox-pango >= 1.40.14-2.7.4
  • libfirefox-gio-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-glib-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gmodule-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gobject-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gthread-2_0-0 >= 2.54.3-2.14.7
  • libfreebl3 >= 3.45-38.9.3
  • libfreebl3-32bit >= 3.45-38.9.3
  • libsoftokn3 >= 3.45-38.9.3
  • libsoftokn3-32bit >= 3.45-38.9.3
  • mozilla-nspr >= 4.21-29.6.1
  • mozilla-nspr-32bit >= 4.21-29.6.1
  • mozilla-nspr-devel >= 4.21-29.6.1
  • mozilla-nss >= 3.45-38.9.3
  • mozilla-nss-32bit >= 3.45-38.9.3
  • mozilla-nss-certs >= 3.45-38.9.3
  • mozilla-nss-certs-32bit >= 3.45-38.9.3
  • mozilla-nss-devel >= 3.45-38.9.3
  • mozilla-nss-tools >= 3.45-38.9.3
Patchnames:
slessp4-firefox-201910-14246
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libcares2 >= 1.9.1-8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1117
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libcares2 >= 1.9.1-8.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1117
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libcares-devel >= 1.9.1-8.1
  • libcares2 >= 1.9.1-8.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1117
SUSE Linux Enterprise Software Development Kit 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libcares-devel >= 1.9.1-9.4.1
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libcares2 >= 1.9.1-8.1
  • libcares2-32bit >= 1.9.1-8.1
Patchnames:
SUSE-SLE-WE-12-SP2-2017-1117
SUSE Linux Enterprise Workstation Extension 12 SP4
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libcares2-32bit >= 1.9.1-9.4.1
SUSE OpenStack Cloud 7
  • nodejs-common >= 1.0-2.1
  • nodejs6 >= 6.11.1-11.5.1
Patchnames:
SUSE-OpenStack-Cloud-7-2017-1331
openSUSE Leap 15.0
  • libcares2 >= 1.14.0-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA libcares2
openSUSE Leap 42.2
  • libcares-devel >= 1.9.1-8.3.1
  • libcares2 >= 1.9.1-8.3.1
  • libcares2-32bit >= 1.9.1-8.3.1
  • libcares2-debuginfo >= 1.9.1-8.3.1
  • libcares2-debuginfo-32bit >= 1.9.1-8.3.1
  • libcares2-debugsource >= 1.9.1-8.3.1
  • nodejs-common >= 1.0-2.1
  • nodejs4 >= 4.8.4-5.6.1
  • nodejs4-debuginfo >= 4.8.4-5.6.1
  • nodejs4-debugsource >= 4.8.4-5.6.1
  • nodejs4-devel >= 4.8.4-5.6.1
  • nodejs4-docs >= 4.8.4-5.6.1
  • npm4 >= 4.8.4-5.6.1
Patchnames:
openSUSE-2017-810
openSUSE-2017-948
openSUSE Leap 42.3
  • libcares2 >= 1.9.1-10.1
  • nodejs-common >= 1.0-2.1
  • nodejs4 >= 4.8.4-8.1
  • nodejs4-debuginfo >= 4.8.4-8.1
  • nodejs4-debugsource >= 4.8.4-8.1
  • nodejs4-devel >= 4.8.4-8.1
  • nodejs4-docs >= 4.8.4-8.1
  • nodejs6 >= 6.11.1-3.1
  • nodejs6-debuginfo >= 6.11.1-3.1
  • nodejs6-debugsource >= 6.11.1-3.1
  • nodejs6-devel >= 6.11.1-3.1
  • nodejs6-docs >= 6.11.1-3.1
  • npm4 >= 4.8.4-8.1
  • npm6 >= 6.11.1-3.1
Patchnames:
openSUSE Leap 42.3 GA libcares2
openSUSE-2017-948


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise 12 Module for Web and Scripting nodejs-common Released
SUSE Linux Enterprise 12 Module for Web and Scripting nodejs4 Released
SUSE Linux Enterprise 12 Module for Web and Scripting nodejs6 Released
SUSE Linux Enterprise Desktop 12 SP2 libcares2 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libcares2 Released
SUSE Linux Enterprise Server 11 SP1 MozillaFirefox Released
SUSE Linux Enterprise Server 11 SP1 MozillaFirefox-branding-SLED Released
SUSE Linux Enterprise Server 11 SP1 firefox-atk Released
SUSE Linux Enterprise Server 11 SP1 firefox-cairo Released
SUSE Linux Enterprise Server 11 SP1 firefox-gcc8 Released
SUSE Linux Enterprise Server 11 SP1 firefox-gdk-pixbuf Released
SUSE Linux Enterprise Server 11 SP1 firefox-glib2 Released
SUSE Linux Enterprise Server 11 SP1 firefox-gtk3 Released
SUSE Linux Enterprise Server 11 SP1 firefox-harfbuzz Released
SUSE Linux Enterprise Server 11 SP1 firefox-libffi Released
SUSE Linux Enterprise Server 11 SP1 firefox-libffi-gcc5 Released
SUSE Linux Enterprise Server 11 SP1 firefox-pango Released
SUSE Linux Enterprise Server 11 SP1 libcares2 Not affected
SUSE Linux Enterprise Server 11 SP1 mozilla-nspr Released
SUSE Linux Enterprise Server 11 SP1 mozilla-nss Released
SUSE Linux Enterprise Server 11 SP1 python-rpm-macros Released
SUSE Linux Enterprise Server 11 SP3 MozillaFirefox Released
SUSE Linux Enterprise Server 11 SP3 MozillaFirefox-branding-SLED Released
SUSE Linux Enterprise Server 11 SP3 firefox-atk Released
SUSE Linux Enterprise Server 11 SP3 firefox-cairo Released
SUSE Linux Enterprise Server 11 SP3 firefox-gcc8 Released
SUSE Linux Enterprise Server 11 SP3 firefox-gdk-pixbuf Released
SUSE Linux Enterprise Server 11 SP3 firefox-glib2 Released
SUSE Linux Enterprise Server 11 SP3 firefox-gtk3 Released
SUSE Linux Enterprise Server 11 SP3 firefox-harfbuzz Released
SUSE Linux Enterprise Server 11 SP3 firefox-libffi Released
SUSE Linux Enterprise Server 11 SP3 firefox-pango Released
SUSE Linux Enterprise Server 11 SP3 libcares2 Not affected
SUSE Linux Enterprise Server 11 SP3 python-rpm-macros Released
SUSE Linux Enterprise Server 11 SP3 LTSS libcares2 Not affected
SUSE Linux Enterprise Server 11 SP4 libcares2 Not affected
SUSE Linux Enterprise Server 12 LTSS libcares2 Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libcares2 Affected
SUSE Linux Enterprise Server 12 SP2 libcares2 Released
SUSE Linux Enterprise Server 12 SP5 libcares2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libcares2 Released
SUSE Linux Enterprise Server for the Raspberry Pi libcares2 Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libcares2 Not affected
SUSE Linux Enterprise Software Development Kit 12 libcares2 Released
SUSE Linux Enterprise Workstation Extension 12 libcares2 Released
SUSE Linux Enterprise Workstation Extension 12 SP2 libcares2 Released
SUSE OpenStack Cloud 7 nodejs-common Released
SUSE OpenStack Cloud 7 nodejs6 Released
SUSE OpenStack Cloud Crowbar 8 nodejs-common Released
SUSE OpenStack Cloud Crowbar 8 nodejs6 Released
SUSE OpenStack Cloud Crowbar 9 nodejs-common Released
SUSE OpenStack Cloud Crowbar 9 nodejs6 Released